org.apache.calcite.avatica

## Class MetaImpl.MetaPseudoColumn

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaPseudoColumn

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaPseudoColumn
    extends Object

Metadata describing a pseudo column.

### Field Summary

Fields
`Integer` `charOctetLength`
`String` `columnName`
`Integer` `columnSize`
`String` `columnUsage`
`int` `dataType`
`Integer` `decimalDigits`
`String` `isNullable`
`Integer` `numPrecRadix`
`String` `remarks`
`String` `tableCat`
`String` `tableName`
`String` `tableSchem`

### Constructor Summary

Constructors
Constructor and Description
`MetaPseudoColumn(String tableCat, String tableSchem, String tableName, String columnName, int dataType, Integer columnSize, Integer decimalDigits, Integer numPrecRadix, String columnUsage, Integer charOctetLength, String isNullable)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableCat

    public final String tableCat

#### tableSchem

    public final String tableSchem

#### tableName

    public final String tableName

#### columnName

    public final String columnName

#### dataType

    public final int dataType

#### columnSize

    public final Integer columnSize

#### decimalDigits

    public final Integer decimalDigits

#### numPrecRadix

    public final Integer numPrecRadix

#### columnUsage

    public final String columnUsage

#### remarks

    public final String remarks

#### charOctetLength

    public final Integer charOctetLength

#### isNullable

    public final String isNullable

### Constructor Detail

#### MetaPseudoColumn

    public MetaPseudoColumn(String tableCat,
                            String tableSchem,
                            String tableName,
                            String columnName,
                            int dataType,
                            Integer columnSize,
                            Integer decimalDigits,
                            Integer numPrecRadix,
                            String columnUsage,
                            Integer charOctetLength,
                            String isNullable)